This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 504471 - Review Request: rubygem-sinatra - Ruby-based web application framework
Review Request: rubygem-sinatra - Ruby-based web application framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michal Ingeli
Fedora Extras Quality Assurance
:
: 553185 (view as bug list)
Depends On: 504472 504474
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-07 07:44 EDT by Lubomir Rintel
Modified: 2010-01-19 14:43 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.10.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-19 14:43:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mfojtik: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-06-07 07:44:33 EDT
SPEC: http://v3.sk/~lkundrak/gdc-ruby-stack/SPECS/rubygem-sinatra.spec
SRPM: http://v3.sk/~lkundrak/gdc-ruby-stack/SRPMS/rubygem-sinatra-0.9.2-1.fc11.src.rpm

Description:

Sinatra is a DSL intended for quickly creating web-applications in Ruby
with minimal effort.
Comment 3 Michal Fojtik 2010-01-07 07:42:02 EST
*** Bug 553185 has been marked as a duplicate of this bug. ***
Comment 5 Lubomir Rintel 2010-01-07 09:30:34 EST
Michal, please mark the japan documentation asi %lang(jp). And no useless comments please:
#%{geminstdir}/compat
Comment 6 Lubomir Rintel 2010-01-07 09:34:44 EST
For the sake of review, I otherwise agree with Michal's changes.
Comment 7 Michal Fojtik 2010-01-07 09:50:55 EST
Fixed. Thank you Lubomir.
Comment 8 Michal Fojtik 2010-01-08 10:38:40 EST
Fixed rev number in SRPM:

SPEC: http://mifo.sk/rubygem-sinatra.spec
SRPM: http://mifo.sk/rubygem-sinatra-0.10.1-1.fc12.src.rpm 

Review:

#  MUST: rpmlint must be run on every package. The output should be posted in the review.

1 packages and 0 specfiles checked; 0 errors, 0 warnings.

# MUST: The package must be named according to the Package Naming Guidelines .

OK

# MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

OK

# MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

MIT

# MUST: The spec file must be written in American English.

OK

# MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

http://gems.rubyforge.org/gems

# MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

OK

# MUST: Header files must be in a -devel package. 

No headers.

# MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 

OK

# MUST: All filenames in rpm packages must be valid UTF-8. 

OK
Comment 9 Lubomir Rintel 2010-01-10 11:54:21 EST
New Package CVS Request
=======================
Package Name: rubygem-sinatra
Short Description: Ruby-based web application framework
Owners: lkundrak mfojtik
Branches: F-11 F-12 EL-5
Comment 10 Jason Tibbitts 2010-01-12 01:01:08 EST
CVS done.
Comment 11 Fedora Update System 2010-01-15 13:28:36 EST
rubygem-sinatra-0.10.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-sinatra-0.10.1-1.fc12
Comment 12 Fedora Update System 2010-01-19 14:43:02 EST
rubygem-sinatra-0.10.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.